首页 » 互联网资讯 » 正文

写了个lnmp0.7的mysql升级脚本,升级到5.5.*

LNMP一直没出mysql的升级脚本,不过数据库的确没必要总是更新到最新版
不过无折腾不蛋疼嘛,我自己用nginx的升级脚本改了一个出来,只适用于5.1.×升级到5.5.*

5.5以后的Mysql编译方式改变了,需要用cmake配置,脚本里会自动安装

不过这个脚本还是测试版,只在diavps和buyvm的vps上测试通过,并且是lnmp0.7版安装的,后面你自己没动过什么文件目录的应该没什么问题

如果有需要的朋友可以拿去看看,不过最好先稍微看下脚本,因为刚匆忙写出来的,容错性不是很好

如果有高手完善下更好,有空把5.1.×的升级也加入


可以把安装cmake那段改成yum install cmake…….

然后 把/etc/my.cnf删后, 重启mysql

要不会出错的

东京服务器

发表评论